Package Search
 
Members: 351 | Topics: 765 | Posts: 3209
We welcome our newest member: Somewhat Reticent
Info
» You aren't logged in, login or registerOnline: No members and 1 guest | Time: 13:13
LuxRender Upgrade
paldo Support Forum    Upkg    Package Specifications
Reply Reply   Subscribe Topic Subscribe Topic
New version Released
1 post found.
 LuxRender Upgrade
Senior Mitglied
 
 
 
Posts: 216
Registered: 2008-07-04
Hi everyone,

I saw there was an upgraded version of luxrender, 0.6

Now using hg you can get the sources for upgrading it, but because it no longer compiles against boost 1_38_0 I needed to upgrade it again

So here it is Boost 1_41_0:

Code[In neuem Fenster öffnen]
<?xml version="1.0"?>
<package name="boost">
<description>Boost C++ Libraries</description>
<releases>
<release version="1_41_0" revision="3" branch="stable">
<deps>
<dep name="Python"/>
</deps>
<build>
<script>
<archive name="boost_$VERSION">
<!-- disable optimizations in build of bjam to avoid segmentation fault with gcc 4.2 -->
<cmd>sed -i -e 's/-O3/-O0/' tools/jam/src/build.jam</cmd>

<!-- Build BJam, already do the symlinks to default to mt and don't install static libraries -->
<cmd>./bootstrap.sh --prefix=/usr</cmd>
<cmd>./bjam --prefix=/usr --build-type=complete --layout=tagged threading=multi runtime-link=shared link=shared install</cmd>
</archive>
</script>
</build>
</release>
</releases>
</package>


And then the upgraded version of luxrender:

Code[In neuem Fenster öffnen]
<?xml version="1.0"?>
<package name="lux">
<!-- http://www.luxrender.net/ -->
<!-- Maintainer: Richard Nespithal -->
<!-- Contribution#23/11/2009: Diogo Lima -->
<description>Unbiased Renderer for Blender</description>
<releases>
<release version="0.6-svn20091123" revision="1" branch="stable">
<deps>
<dep name="wxGTK"/>
<dep name="boost"/>
<dep name="qt-4"/>
</deps>
<build>
<script>
<archive name="lux-$VERSION">
<!-- do not use /usr/lib64 -->
<cmd>sed -i -e '/LIB_SUFFIX 64/d' CMakeLists.txt</cmd>

<cmd>cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr .</cmd>
<cmd>make</cmd>
<cmd>make install</cmd>
<!--copy blender-script exporter if blender available-->
<cmd>if [ -d /usr/lib/blender/scripts/ ];then cp ./exporters/luxblend/LuxBlend_0.1.py /usr/lib/blender/scripts/;cp ./exporters/luxblend/Icon_gen.py /usr/lib/blender/scripts;fi</cmd>
</archive>
</script>
</build>
</release>
</releases>
</package>

 
..............................
OSs: Paldo-testing x86_64 :: HP Pavilion dv9680ez
Profile   Private Message   E-Mail
Created: 2009-11-25 02:28
Highlight selected Text   Edit   Delete   Quote Reply
Subscribe Topic Subscribe Topic
powered by bitron board 1.23a